# Vrac

« Vous et votre CHATONS caladois êtes faits l'un pour l'autre. »
« Parce qu'on ne veut pas acheter chat en poche. »

## Double proposition

① Association fournissant gratuitement des services dont la maintenance et l'hébergement sont considérées négligeables.

Et ② coopérative fournissant des services dont le coût est pris en charge par la participation financière des utilisateurs.

# Quoi ?

`tsa.cagull.fr`¹ un CHATONS² caladois³

¹ « tsa » pour « Tes Services Autohébergés » et « chat » en patois du Beaujolais
[réf. nécessaire]

² pour « [le Collectif des Hébergeurs Alternatifs, Transparents, Ouverts,
Neutres et Solidaires](https://chatons.org/) »

³ pour [Villefranche-sur-Saône](https://www.openstreetmap.org/relation/74082)

# Pourquoi ?

* méchants GAFAM → cohérence politique/éthique
* résilience/transition/sobriété

⇒ reprendre l'acronyme devrait déjá être un bon début (à vérifier)
* C comme collectif
* H comme hébergeur
* A comme ~~autonome~~ alternatif
* T comme transparent
* O comme ouvert
* N comme neutre
* S comme solidaire

« Il rassemble des structures souhaitant éviter la collecte et la centralisation
des données personnelles au sein de silos numériques du type de ceux proposés
par les GAFAM (Google, Apple, Facebook, Amazon, Microsoft). » [sur chatons.org](https://chatons.org/)

## [Charte](https://chatons.org/charte) et [manifeste](https://chatons.org/manifeste)

### Charte

Pour chacune des lettres de CHATONS correspond un nom auquel est associé :
- un ensemble de critères techniques
- un ensemble de critères éthique et sociaux

Les CHATONS s'engegent à respecter ces critères.

### Manifeste

Détaille le contexte, expose les motivations et décrit le fonctionnemet.

# Comment ?

## Technique

Commencer par résumer le contexte technique : qu'est-ce qu'Internet ? qu'est-ce
qu'un serveur et comment on le joint ? qu'est-ce qu'un terminal et qu'est-ce
qu'il permet ?

Illustrations : graphes centralisé vs fédérés

Les technologies impliqués :
- prérequis :
  - processeur/mémoire/stockage
  - noms de domaines + Let's Encrypt
  - Debian
  - Yunohost vs custom
- par service :
  - pour la base : messagerie asynchrone/synchrone
  - pour les plus simples : date, pad, liste de diffusion, etc
  - pour les plus complexes : nextcloud, collabora, riot

Pour chaque entrée on peut estimer un chiffrage en termes de coût (argent et/ou
temps).

## Légal

cf les implications sur chatons.org

# POC

Coût à l'heure actuelle :
- nom de domaine `cagull.fr` chez Gandi
  ⇒ pris en charge par l'association
  ⇒ ~10 €/an
- VPS chez OVH
  ⇒ pris en charge par vince
  ⇒ ~7 €/mois

## Framadate / Doodleⓒ™

https://tsa.cagull.fr/date

## Framapad

https://tsa.cagull.fr/pad

## Framaliste

https://tsa.cagull.fr/mailman

## Autres

- gitea ⇒ forge logicielle
- jirafeau ⇒ envoi de gros fichiers
- peertube ⇒ hébergement de vidéos
- funkwhale ⇒ hébergement d'audio
- riot ⇒ messagerie instantanée texte/audio/vidéo chiffrée de bout en bout
- shaarli ⇒ favoris collectifs
- tiny tiny rss ⇒ lecteur de flux
- wordpress ⇒ hébergement de sites webs
- réseaux sociaux genre mastodon (vs Twitterⓒ™), diaspora (vs Facebookⓒ™), etc

Tout n'est pas forcément nécessaire pour une utilisation publique …

Il y a également d'autres services par forcément gérés par Yunohost (donc soit
on conribue à une app soit on fait ça en standalone) ou en beta :
- [loomio](https://github.com/loomio/) pour de la prise de décisions collectives
  (pour ce qui est des contraintes techniques par exemple : 2 Go de RAM
  recommandé, main sur les DNS donc probablement pas installable dans un
  sous-dossier, Ruby sur serveur avec du React côté client, etc …)
- [mobilizon](https://joinmobilizon.org/) pour se passer de Facebookⓒ™ Events

# Notes sur la captation vidéo conférence avec Pouhiou au Capitole du Libre en 2019

objectif Framasoft n'est pas centralisation GAFAM
⇒ fondation collectif

charte == confiance
1ère portée 2016
les chatons existaient avant
valeurs qui rassemblent

manifeste = engagement concret

aujourh'hui
~60 structures dans collectif
dont Indiehosteurs la seule société privée

chatons.org
wiki litière

là où les gens en ont besoin

libre hosteurs ?

nextcloud
chiffrement côté serveur et client
confidentialité

importance humain

gouvernance problématique

1 portée/6 mois
candidature par git
